org.apache.ignite.internal.pagemem.wal.record.delta

## Class MergeRecord<L>

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.MergeRecord<L>

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class MergeRecord<L>
    extends PageDeltaRecord

Merge on remove.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MergeRecord(int grpId, long pageId, long prntId, int prntIdx, long rightId, boolean emptyBranch)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`boolean` `isEmptyBranch()`
`long` `parentId()`
`int` `parentIndex()`
`long` `rightId()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MergeRecord

    public MergeRecord(int grpId,
                       long pageId,
                       long prntId,
                       int prntIdx,
                       long rightId,
                       boolean emptyBranch)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `prntId` - Parent ID.
  `prntIdx` - Index in parent page.
  `rightId` - Right ID.
  `emptyBranch` - We are merging empty branch.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### parentId

    public long parentId()

#### parentIndex

    public int parentIndex()

#### rightId

    public long rightId()

#### isEmptyBranch

    public boolean isEmptyBranch()

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020